COrderedIter.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/routines/pbori_algo.h>`
`#include <polybori/BoolePolynomial.h>`
`#include "CBidirectTermIter.h"`
`#include <algorithm>`
`#include "CStackSelector.h"`
`#include "CTermGenerator.h"`

Go to the source code of this file.

## Classes

class | polybori::CAbstractStackBase< NavigatorType >
class | polybori::CWrappedStack< StackType >
class | polybori::COrderedIter< NavigatorType, MonomType >
class | polybori::CGenericOrderedIter< OrderType, NavigatorType, MonomType >
class | polybori::CGenericOrderedIter< OrderType, NavigatorType, BooleExponent >

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-09-06

This file defines an iterator, which respects the current ordering.

Copyright:
  (c) 2006 by The PolyBoRi Team